Module javafx.graphics
Package javafx.scene.layout

## Class ConstraintsBase

- java.lang.Object
- - javafx.scene.layout.ConstraintsBase

- Direct Known Subclasses:
    `ColumnConstraints`, `RowConstraints`

      public abstract class ConstraintsBase
      extends Object

  The base class for defining node-specific layout constraints. Region classes may create extensions of this class if they need to define their own set of layout constraints.
  Since:
    JavaFX 2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static double` | `CONSTRAIN_TO_PREF` | If set as max value indicates that the pref value should be used as the max.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `requestLayout()` | Calls requestLayout on layout parent associated with this constraint object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSTRAIN_TO_PREF

          public static final double CONSTRAIN_TO_PREF

      If set as max value indicates that the pref value should be used as the max. This allows an application to constrain a resizable node's size, which normally has an unlimited max value, to its preferred size.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### requestLayout

          protected void requestLayout()

      Calls requestLayout on layout parent associated with this constraint object.